EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

ebook-polish [options] input_file [output_file]

Polishing books is all about putting the shine of perfection onto your carefully crafted e-books.

Polishing tries to minimize the changes to the internal code of your e-book. Unlike conversion, it does not flatten CSS, rename files, change font sizes, adjust margins, etc. Every action performs only the minimum set of changes needed for the desired effect.

You should use this tool as the last step in your e-book creation process.

Note that polishing only works on files in the AZW3 lub EPUB formats.

Whenever you pass arguments to ebook-polish that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[OPCJE]

--add-soft-hyphens, -H
    Dodaje łączniki opcjonalne do wszystkich słów w książce. Pozwala to, bo książka lepiej wyglądała przy wyjustowanym tekście, gdy czytnik nie obsługuje automatycznego dzielenie wyrazów.

--compress-images, -i
    Bezstratna kompresja obrazów w książce, aby zmniejszyć rozmiar pliku bez wpływu na jakość obrazu.

--cover, -c
    Ścieżka do zdjęcia na okładkę. Zmienia okładkę określoną w e-booku. Jeśli nie ma okładki lub okładka nie jest właściwie zidentyfikowana, wstawia nową.

--embed-fonts, -e
    Osadź wszystkie czcionki, które zostały użyte w dokumencie wejściowym, ale nie zostały jeszcze w nim osadzone. Spowoduje to przeszukanie systemu w poszukiwaniu czcionek, a jeśli zostaną one znalezione, osadzenie ich w e-booku. Upewnij się, że masz licencję jeśli nie używasz darmowych czcionek.

--help, -h
    Wyświetla ten tekst pomocy i kończy działanie

--jacket, -j
    Wstaw na początku książki "metryczkę", która zawiera wszystkie informacje o książce takie jak tytuł, etykiety, autorów, serię, komentarze itp. Jeśli wcześniej wstawiono metryczkę zostanie ona zamieniona na nową.

--opf, -o
    Ścieżka do pliku OPF. Metadane książki są uaktualniane na podstawie pliku OPF.

--remove-jacket
    Usuń poprzednią metryczkę

--remove-soft-hyphens
    Usuwa łączniki opcjonalne z wszystkich tekstów w książce.

--remove-unused-css, -u
    Remove all unused CSS rules from stylesheets and <style> tags. Some books created from production templates can have a large number of extra CSS rules that don't match any actual content. These extra rules can slow down readers that need to parse them all.

--smarten-punctuation, -p
    Konwertuj myślniki, cudzysłowy, wielokrotne łączniki itp. na ich poprawne typograficzne odpowiedniki. Należy pamiętać, że algorytm może czasami generować błędne rezultaty, szczególnie przy apostrofach na początku skrótów w języku angielskim

--subset-fonts, -f
    Podzbiór znaków jest tworzony aby zredukować osadzoną czcionkę jedynie do znaków użytych w książce. Może to znacznie ograniczyć wielkość pliku czcionki (zazwyczaj do około połowy) Jeśli na przykład w książce użyto specjalnej czcionki dla tytułów podzbiór będzie zawierać wyłącznie znaki użyte w tytułach. Albo jeżeli w książce jest osadzona czcionka w odmianie zwykłej i pogrubionej oraz pochylonej ale pogrubienie i pochylenie używane jest rzadko albo nie używane zupełnie to czcionki w odmianie pogrubionej i pochylonej mogą zostać ograniczone do zaledwie kilku znaków albo usunięte całkowicie. Jedyną niedogodnością takiego rozwiązania jest to, że jeśli później zdecydujesz się dodać dodatkowy tekst do książki to może się okazać, że brakuje niektórych znaków

--upgrade-book, -U
    Aktualizuj wewnętrzną strukturę książki, jeśli to możliwe. Na przykład aktualizuje książki EPUB 2 do EPUB 3.

--verbose
    Wyświetl więcej informacji, przydatne przy debugowaniu.

--version
    Wyświetla wersję programu i kończy działanie

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal